import { CdkCell, CdkCellDef, CdkColumnDef, CdkFooterCell, CdkFooterCellDef, CdkHeaderCell, CdkHeaderCellDef, CdkTable } from '@angular/cdk/table';
import * as i0 from "@angular/core";
/**
 * Cell definition for the mat-table.
 * Captures the template of a column's data row cell as well as cell-specific properties.
 */
export declare class NgbCellDef<T> extends CdkCellDef {
    ngbCellDefTable?: CdkTable<T>;
    static ngTemplateContextGuard<T>(dir: NgbCellDef<T>, ctx: unknown): ctx is {
        $implicit: T;
        index: number;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbCellDef<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbCellDef<any>, "[ngbCellDef]", never, { "ngbCellDefTable": "ngbCellDefTable"; }, {}, never>;
}
/**
 * Header cell definition for the mat-table.
 * Captures the template of a column's header cell and as well as cell-specific properties.
 */
export declare class NgbHeaderCellDef extends CdkHeaderCellDef {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbHeaderCellDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbHeaderCellDef, "[ngbHeaderCellDef]", never, {}, {}, never>;
}
/**
 * Footer cell definition for the mat-table.
 * Captures the template of a column's footer cell and as well as cell-specific properties.
 */
export declare class NgbFooterCellDef extends CdkFooterCellDef {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbFooterCellDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbFooterCellDef, "[ngbFooterCellDef]", never, {}, {}, never>;
}
/**
 * Column definition for the mat-table.
 * Defines a set of cells available for a table column.
 */
export declare class NgbColumnDef extends CdkColumnDef {
    /** Unique name for this column. */
    get name(): string;
    set name(name: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbColumnDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbColumnDef, "[ngbColumnDef]", never, { "name": "ngbColumnDef"; }, {}, never>;
}
/** Header cell template container that adds the right classes and role. */
export declare class NgbHeaderCell extends CdkHeaderCell {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbHeaderCell, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbHeaderCell, "ngb-header-cell, th[ngb-header-cell]", never, {}, {}, never>;
}
/** Footer cell template container that adds the right classes and role. */
export declare class NgbFooterCell extends CdkFooterCell {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbFooterCell, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbFooterCell, "ngb-footer-cell, td[ngb-footer-cell]", never, {}, {}, never>;
}
/** Cell template container that adds the right classes and role. */
export declare class NgbCell extends CdkCell {
    whiteSpace: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbCell, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbCell, "ngb-cell, td[ngb-cell]", never, { "whiteSpace": "whiteSpace"; }, {}, never>;
}
