/**
 * @license
 * Original work Copyright Google LLC All Rights Reserved.
 * Modified work Copyright DatePoll-Systems
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
import { CdkTable } from '@angular/cdk/table';
import * as i0 from "@angular/core";
/**
 * Enables the recycle view repeater strategy, which reduces rendering latency. Not compatible with
 * tables that animate rows.
 */
export declare class NgbRecycleRows {
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbRecycleRows, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgbRecycleRows, "ngb-table[recycleRows], table[ngb-table][recycleRows]", never, {}, {}, never>;
}
/**
 * Wrapper for the CdkTable with Bootstrap styles.
 */
export declare class NgbTable<T> extends CdkTable<T> {
    /** Overrides the need to add position: sticky on every sticky cell element in `CdkTable`. */
    protected needsPositionStickyOnElement: boolean;
    cdkTable: boolean;
    table: boolean;
    hover: boolean;
    striped: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgbTable<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgbTable<any>, "ngb-table, table[ngb-table]", ["ngbTable"], { "hover": "hover"; "striped": "striped"; }, {}, never, ["caption", "colgroup, col"]>;
}
